<?php
session_start();
if(strpos(strtolower($_SERVER['REQUEST_URI']), 'phpsessid') !== false)
{
  session_destroy();
  session_regenerate_id();
  session_start();
                              
}
include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/slugfy.php";


mysql_query("DELETE FROM empresas2");
mysql_query("DELETE FROM l_bairros2");

$sql_las_c = mysql_query("SELECT * FROM empresas ORDER BY id DESC LIMIT 1");

$lasc = mysql_fetch_assoc($sql_las_c);

$lastc = $lasc['id'];


mysql_query("INSERT INTO cadastros SET last_empresa='$lastc', data_cad=NOW()");


$texto = array();

$cidade = '';
$uf     = '';

$handle = fopen("ha.txt", "r");
if ($handle) {
    while (($line = fgets($handle)) !== false) {
      $line = trim($line);

        if($line!='') { 

          if(strpos($line,']]')){

          $cuf = explode('||', $line);
          $cidade = str_replace('[[', '', $cuf[0]);
          $uf = str_replace(']]', '', $cuf[1]);

         } else{
        
            $texto[] = utf8_encode($line).'<br>';

         }


        }
    }


    fclose($handle);

    echo "<pre>";

    foreach ($texto as $a) {



    	$bomba = explode('///', $a);

    	if(sizeof($bomba)>1){ 
    	

   
  	  $telefone = trim(strip_tags($bomba['3']));
    	$slug = slugfyURL(trim($bomba['0']));
    	$empresa = trim(strip_tags($bomba['0']));
    	$endereco = trim(strip_tags($bomba['1']));
    	$bairro = $bairro4 = trim(strip_tags($bomba['2']));
    	$bairro2 = slugfyURL($bairro);
        
    	$selestado = mysql_query("SELECT id FROM l_estados WHERE uf='$uf'");
    	$getuf = mysql_fetch_assoc($selestado);
    	$iduf=$getuf['id'];

    	$selcidade = mysql_query("SELECT id,cidade FROM l_cidades WHERE id_uf='$iduf' AND slug='$cidade'");
    	$getcidade = mysql_fetch_assoc($selcidade);
    	$idc=$getcidade['id'];

    	$bairro2 = slugfyURL($bairro);

    	$selbairro = mysql_query("SELECT * FROM l_bairros WHERE id_uf='$iduf' AND id_cidade='$idc' AND slug='$bairro2'");
    	
    	if(mysql_num_rows($selbairro)==0){

        $bairro = mysql_real_escape_string($bairro, $con);
    		mysql_query("INSERT INTO l_bairros SET id_uf='$iduf', id_cidade='$idc', bairro='$bairro', slug='$bairro2', ativo='1' ");
    		$idb = mysql_insert_id();

        mysql_query("INSERT INTO l_bairros2 SET id='$idb', id_uf='$iduf', id_cidade='$idc', bairro='$bairro', slug='$bairro2', ativo='1' ");

    	}else{

	    	$getbairro = mysql_fetch_assoc($selbairro);
	    	$idb=$getbairro['id'];    

    	}	

   
   $slug = $slug.'-'.$bairro2.'-'.$cidade;

   $empresa = $empresa.' - '.$bairro4.' - '.$getcidade['cidade'];

 
   $endereco = mysql_real_escape_string($endereco, $con);
   $empresa = mysql_real_escape_string($empresa, $con);




		mysql_query("INSERT INTO empresas SET slug = '$slug',
		id_uf = '$iduf',
		id_cidade = '$idc',
		id_bairro = '$idb',
		ramo = '2',
		telefone = '$telefone',
		empresa = '$empresa',
		endereco = '$endereco'
		", $con) or die(mysql_error());


    $ide = mysql_insert_id();

    mysql_query("INSERT INTO empresas2 SET 

    id = '$ide',
    slug = '$slug'
    ", $con) or die(mysql_error());



}
    }

} else {
 
} 


if(file_exists('ha.txt')){
  unlink('ha.txt');
}

header("location:multi.php?cad=1");